# New operating hours and regions endpoints and closure, engagement monitor and user webhook events _Published June 20, 2023_ ## Added New **Operating Hours** APIs. - `GET /v2/contact_center/closures/{closureSetId}/flows` - `GET /v2/contact_center/closures` - `GET /v2/contact_center/closures/{closureSetId}/queues` - `GET /v2/contact_center/closures/{closureSetId}` - `PATCH /v2/contact_center/closures/{closureSetId}` - `POST /v2/contact_center/closures` - `DELETE /v2/contact_center/closures/{closureSetId}` New **Regions** APIs. - `PATCH /v2/contact_center/regions/{regionId}` - `GET /v2/contact_center/regions/{regionId}/users` - `POST /v2/contact_center/regions/{regionId}/users` - `GET /v2/contact_center/regions` - `GET /v2/contact_center/regions/{regionId}` - `DELETE /v2/contact_center/regions/{regionId}` - `POST /v2/contact_center/regions` New **webhook** Webhook events. - `contact_center.closure_created` - `contact_center.closure_deleted` - `contact_center.closure_updated` - `contact_center.engagement_monitor_started` - `contact_center.engagement_monitor_ended` - `contact_center.engagement_takeover_started` - `contact_center.user_created` - `contact_center.user_updated` ## Changed New `variables` request field in these **Address Books** APIs. - `PATCH /v2/contact_center/address_books/{addressBookId}/contacts/{contactId}` - `POST /v2/contact_center/address_books/{addressBookId}/contacts` New `variables` response field in these **Address Books** APIs. - `GET /v2/contact_center/address_books/{addressBookId}/contacts` - `GET /v2/contact_center/address_books/{addressBookId}/contacts/{contactId}` - `POST /v2/contact_center/address_books/{addressBookId}/contacts` New `client_show_in_client_profile_section`, `use_in_external_url_parameters`, `client_show_in_inbound_call_notifications`, and `client_show_in_client_engagement_section` request fields in these **Variables** APIs. - `PATCH /v2/contact_center/variables/{variableId}` - `POST /v2/contact_center/variables` New `client_show_in_inbound_call_notifications`, `client_show_in_client_engagement_section`, `use_in_external_url_parameters`, and `client_show_in_client_profile_section` response fields in these **Variables** APIs. - `GET /v2/contact_center/variables/{variableId}` - `POST /v2/contact_center/variables` New `region_id` request field in these **Users** APIs. - `PATCH /v2/contact_center/users/{userId}` - `POST /v2/contact_center/users` - `GET /v2/contact_center/users` New `region_name,region_id` response fields in these **Users** APIs. - `GET /v2/contact_center/users/{userId}` - `POST /v2/contact_center/users` - `GET /v2/contact_center/users` New `user_access` request field in this **Users** API. - `GET /v2/contact_center/users` New `auto_close_alert_message_enabled`, `auto_close_message`, `service_level_exclude_abandoned_quit_engagements`, `wrap_up_expiration`, `service_level_exclude_long_abandoned_calls`, `recording_storage_location`, `service_level_threshold_in_seconds`, `overflow_to_flow_id`, `overflow_to_inbox_id`, `auto_close_alert_message`, `service_level_target_in_percentage`, `auto_close_message_enabled`, `overflow_to_queue_id`, `auto_close_alert_message_time`, `auto_close_timeout`, and `service_level_exclude_short_abandoned_calls` fields in these **Queues** webhook events. - `contact_center.queue_deleted` - `contact_center.queue_created` New `messaging` channel_types value in these **Queues** APIs and webhook events. - `GET /v2/contact_center/queues` - `POST /v2/contact_center/queues` - `GET /v2/contact_center/queues/{queueId}` - `PATCH /v2/contact_center/queues/{queueId}` - `contact_center.queue_deleted` - `contact_center.queue_created` New `video` channel_type value in these **Recordings** webhook events. - `contact_center.recording_started` - `contact_center.recording_paused` - `contact_center.recording_resumed` - `contact_center.recording_stopped` - `contact_center.recording_completed` - `contact_center.recording_transcript_completed` - `contact_center.recording_deleted` - `contact_center.recording_permanently_deleted`